import { OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class DatePickerComponent implements OnInit, ControlValueAccessor {
    /**
     * @memberof DatePickerComponent
     */
    dateFormat: string;
    /**
     * @memberof DatePickerComponent
     */
    /**
     * @memberof DatePickerComponent
     */
    year: number;
    /**
     * @memberof DatePickerComponent
     */
    month: number;
    /**
     * @memberof DatePickerComponent
     */
    days: number[];
    /**
     * @memberof DatePickerComponent
     */
    months: string[];
    /**
     * @memberof DatePickerComponent
     */
    currDay: number;
    /**
     * @memberof DatePickerComponent
     */
    showCalendar: boolean;
    /**
     * @memberof DatePickerComponent
     */
    private _result;
    /**
     * @memberof DatePickerComponent
     */
    /**
     * @memberof DatePickerComponent
     */
    result: any;
    /**
     * @memberof DatePickerComponent
     */
    propagateChange: (_: any) => void;
    /**
     * @memberof DatePickerComponent
     */
    registerOnChange(fn: any): void;
    /**
     * @memberof DatePickerComponent
     */
    registerOnTouched(fn: any): void;
    /**
     * @memberof DatePickerComponent
     */
    writeValue(value: any): void;
    /**
     * @memberof DatePickerComponent
     */
    onChange(value: any): void;
    /**
     * @memberof DatePickerComponent
     */
    onCloseCalendar(): void;
    constructor();
    ngOnInit(): void;
    /**
     * @memberof DatePickerComponent
     */
    updateMonth(event?: Event, type?: string): void;
    /**
     * @memberof DatePickerComponent
     */
    selectDay(day: number): void;
    /**
     * @memberof DatePickerComponent
     */
    onShowCalendar(event: any): void;
    /**
     * @memberof DatePickerComponent
     */
    private changeMonthByType(type);
    /**
     * @memberof DatePickerComponent
     */
    private checkMonthIndex();
}
